/*
    Konfigurationsblock erstellt von
                     SETTER.PRG
                  (c) Markus Kohm
                  6. Dezember 1993
*/

#ifndef SETTERBLK_H
#define SETTERBLK_H

#define SETTERFLAG          0   /* das nchste Word ist ein Flag */
#define SETTERLONGS         1   /* es folgt eine Liste von LONGS */
#define SETTERSTRING        2   /* es folgt ein String gerader Lnge */
#define SETTERWORDS         3   /* es folgt eine Liste von WORDS */
/*                          4      reserviert */
#define SETTERLIMITLONGS    5   /* wie SETTERLONGS aber zunchst zwei Grenzen */
#define SETTERFILEPATH      6   /* Ein gltiger Pfadname */
#define SETTERLIMITWORDS    7   /* wie SETTERWORDS aber zunchst zwei Grenzen */

typedef struct _setterblk {
    char              magic[16];	 /* Das ist immer gleich */
    struct _setterblk *magicpointer; /* zeigt immer auf den Block selbst */
    struct{
        char          text[66];
        char          type;
        char          reserved;
        short         flag;
    } flag1;
    struct{
        char          text[70];
        char          type;
        char          reserved;
        short         flag;
    } Zeig_her;
    struct{
        char          text[296];
        char          type;
        char          filepathlength;
        char          filepath[128];
    } Basispfad;
    struct{
        char          text[80];
        char          type;
        char          anzahl;
        long          minwert, maxwert;
        long          wert[19];
    } LineArray;
    struct{
        char          text[456];
        char          type;
        char          anzahl;
        short         minwert, maxwert;
        short         wert[26];
    } WordArray;
    struct{
        char          text[84];
        char          type;
        char          stringlength;
        char          string[40];
    } KleinStr;
    short             endmagic;	 /* Das ist immer gleich (nmlich 0) */
} SETTERBLK; /* Das war der Setterkonfigurationsblock. */
             /* Ich empfehle die Definitionen durch    */
             /* sinnvolle Namen zu ersetzen!           */

#endif  /* SETTER_H */
/* EOF */
