;    Konfigurationsblock erstellt von
;                     SETTER.PRG
;                  (c) Markus Kohm
;                  6. Dezember 1993


.GLOBL setterblk

SETTERFLAG       EQU   0   ; das nchste Word ist ein Flag
SETTERLONGS      EQU   1   ; es folgt eine Liste von LONGS
SETTERSTRING     EQU   2   ; es folgt ein String gerader Lnge
SETTERWORDS      EQU   3   ; es folgt eine Liste von WORDS
;                      4      reserviert
SETTERLIMITLONGS EQU   5   ; wie SETTERLONGS aber zunchst zwei Grenzen
SETTERFILEPATH   EQU   6   ; Ein gltiger Pfadname
SETTERLIMITWORDS EQU   7   ; wie SETTERWORDS aber zunchst zwei Grenzen

.DATA

.even
setterblk:  .dc.b "hAruNs cONfigER", 0 ;immer vorhanden
            .dc.l setterblk            ;immer vorhanden

            .dc.b "Kleine Demonstration der verschiedenen Konfigurationvariablen:", 13, 10, 0
            .even
            .dc.b SETTERFLAG, 0
            .dc.w 0xFFFF

			.dc.b "#Zeig_her ist ein Schalter, der mit Namen gespeichert werden kann:", 13, 10, 0
			.even
			.dc.b SETTERFLAG, 0
			.dc.w 0
			
			.dc.b "#Basispfad ist eine Pfadvariable. "
			.dc.b "Es handelt sich gleichzeitig um eine Demonstration besonders langer Informationstexte. "
			.dc.b "Immerhin gibt es fr diese keine Beschrnkung auf 256 Byte, wie bei den Strings und Pfadvariablen selbst. "
			.dc.b "Vielmehr sind theoretisch beliebig lange Informationtexte mglich.", 13, 10, 0
			.even
			.dc.b SETTERFILEPATH, 128
			.dcb.b 128, 0
			
			.dc.b "Auch grenbeschrnkte Arrays mit Longs, wie dieser #LineArray sind mglich:", 13, 10, 0
			.even
			.dc.b SETTERLIMITLONGS, 17
			.dc.l -0x10000, 0x20000
			.dcb.l 17, 0
			
			.dc.b "Das selbe ist nun auch in Kombination mit einem besonders Langen Informationstext mglich. "
			.dc.b "Dieses Array ist z.B. ein Wordarray. Dabei sind ebenfalls nur bestimmte Werte mglich. "
			.dc.b "Dieses #WordArray ist aber im Gegensatz zum #Longarray bereits von Haus aus auf einen Wertebereich "
			.dc.b "von -32768 bis 32767 beschrnkt. Dafr bentigen einzelne Werte aber keine vier sondern nur zwei Byte. "
			.dc.b "Es erscheint jedoch nicht sinnvoll, eine weitere Einhrnkung auf Bytes zu machen.", 13, 10, 0
			.even
			.dc.b SETTERLIMITWORDS, 24
			.dc.w -0x400, 0x7fff
			.dc.w 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24
			
			.dc.b "Zum Abschlu erlaube ich mir mit der Variablen #KleinStr noch einen kleinen String: ", 13, 10, 0
			.even
			.dc.b SETTERSTRING, 40
			.dc.b "Dies ist der String!"
			.dcb.b 20, 0

            .dc.b 0, 0 ; Schlukennung
; Das war der Setterkonfigurationsblock
.END
